button.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    touch-action: manipulation;
    border-radius: 0.25rem;
    box-shadow: none;

    // need to be theme config, not here
    //box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25), 0 1px 1px 0 rgba(255, 255, 255, 0.35) inset;
    //text-shadow: 0 1px 1px rgba(255, 255, 255, .35);

    transition: all 0.15s ease;
    cursor: pointer;

    background-image: none;
    padding: 0.5rem 0.75rem;
    line-height: 1.25;

    color: var(--button-color);
    opacity: .9;

    &:hover {
        opacity: 1;
    }

    &.btn-default {
        background: var(--default-color);

        &.btn-empty {
            color: var(--text-color);
        }
    }

    &.btn-primary {
        background: var(--primary);

        &.btn-empty {
            color: var(--primary);
        }
    }

    &.btn-success {
        background: var(--success-color);

        &.btn-empty {
            color: var(--success-color);
        }
    }

    &.btn-info {
        background-color: var(--info-color);

        &.btn-empty {
            color: var(--info-color);
        }
    }

    &.btn-danger {
        background: var(--danger-color);

        &.btn-empty {
            color: var(--danger-color);
        }
    }

    &.btn-warning {
        background-color: var(--warning-color);

        &.btn-empty {
            color: var(--warning-color);
        }
    }

    &.btn-empty {
        background: none;

        &:hover {
            background: var(--contrast-highlight);
        }
    }

    &[disabled] {
        opacity: 0.4;
    }
}
